package com.style24.batch.biz.job.display;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbDisplayService;

import lombok.extern.slf4j.Slf4j;

/**
 * 전시 몰메인 상품생성 JOB
 *
 * @author jmh
 * @since 2021. 8. 13
 */
@Component
@Slf4j
public class TsbMainContentsGoodsJob extends TsbAbstractJob<String, String, String> {

	@Autowired
	private TsbDisplayService displayService;

	@Override
	public String read() throws Exception {
		return "OK";
	}

	@Override
	public String process(String result) throws Exception {
		displayService.createMainContentsGoods();
		return result;
	}

	@Override
	public String write(String result) throws Exception {
		return result;
	}

	@Override
	public void notify(String result) throws Exception {
		// Do nothing
	}
}
